#!/bin/bash
FLAG=$#
#
#
#!/bin/bash
zenity --question --width=500 --title="Reinici del servidor Airsonic" \
--text="<b>Airsonic</b> és un servidor multimèdia que ofereix accés a la col·lecció de música i \
podcasts que tingueu al servidor de ràdio. Airsonic incorpora també un receptor de PODCAST perquè pugueu \
enllaçar podcasts externs a aquest servidor. \n
Airsonic treballa pel port intern <b>4040</b>.\n
Per accedir al servidor Airsonic cal que us hi connecteu amb la URL:\n
<b>http://127.0.0.1:4040</b>\n\r
Si és el primer cop que poseu en marxa el servidor <b>Airsonic</b>, cal que canvieu la contrasenya de l'usuari <b>admin</b>.\
La contrasenya inicial d'aquest usuari és: <b>admin</b>\n\r
<b>Aquesta contrasenya és <b>genèrica</b> i cal canviar-la abans de posar en producció aquest servei.</b>\n\r
<b>Nota</b>: Podeu canviar l'adreça <i>127.0.0.1</i> per la IP interna del servidor de ràdio o bé per la seva IP pública.\n\r
<b>Voleu reiniciar aquest servei?</b>"
if [ "$?" != 0 ]; then
{
   zenity --width=200 --info "Informació" --text="Heu cancel·lat l'operació."
   exit 0
} 
fi
systemctl restart linkat-airsonic.service
if [ $FLAG -eq 0 ]; then
   zenity --width=300 --info "Informació" \
--text="S'ha reiniciat el servidor <b>Airsonic</b>.\n\r\
L'estat del servidor Airsonic és: <b>$(systemctl status linkat-airsonic.service |grep Active\: |sed -e 's/^[[:space:]]*//' |cut -d " " -f 3)</b>\n\r"
fi


